petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMPlexGlobalToNaturalEnd

Rearranges a global Vector in the natural order.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGlobalToNaturalEnd(DM dm, Vec gv, Vec nv)

Collective on dm

### Input Parameters

| dm | - The distributed DMPlex
| gv | - The global Vec

### Output Parameters

nv -The natural Vec

Note: The user must call DMSetUseNatural(dm, PETSC_TRUE) before DMPlexDistribute().

.seealso: DMPlexDistribute(), DMPlexDistributeField(), DMPlexNaturalToGlobalBegin(), DMPlexGlobalToNaturalBegin()

### Level

intermediate

### Location

src/dm/impls/plex/plexnatural.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages